Subject: Re: Problem with F:/ and /cygdrive/f/
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked], "Joey Mukherjee" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 12 Jan 2001 16:42:35 -0500

At 03:56 PM 1/12/2001, Richard Y. Kim wrote:
> >>>>> "JM" == Joey Mukherjee <[email-masked]> writes:
>
>     JM> I have a program which works perfectly when I tell
>     JM> it to read from a file at /cygdrive/f/ .  However,
>     JM> when I set the directory to F:/, the program no
>     JM> longer works.
>
>I would like to add that GNU tar that comes with cygwin
>distribution has always had the same problem going back
>several years.  For example,
>
>   $ cd /tmp
>   $ touch foo
>   $ tar cf foo.tar foo
>   $ tar tf /cygdrive/c/cygwin/tmp/foo.tar
>   foo
>   $ tar tf c:/cygwin/tmp/foo.tar
>   c: Unknown Host
>   tar: c\:/cygwin/tmp/foo.tar: Cannot open: I/O error
>   tar: Error is not recoverable: exiting now
>
>I searched the FAQ file for "tar", but could not find any
>mention of this problem.  I've been reading cygwin list for
>some time, but have not seen any mention of this issue.
>
>My apologies if this issue has already been discussed.
>

Apology accepted.  It has been discussed and I'm not sure why your 
search of the archives didn't unearth it.  The answer here is that this 
is a feature of GNU tar, not Cygwin.  If you want to use a colon in the name,
use the --force-local flag.  A colon in a file name means the portion 
to the left is a host name.  See tar --help or the man page for more
details.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple